Pay the remaining balance of an accepted catering job
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Catering-Token: <api-key>' \
--data '
{
"quoteId": "<string>",
"offerFingerprint": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment"
payload = {
"quoteId": "<string>",
"offerFingerprint": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Catering-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Catering-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({quoteId: '<string>', offerFingerprint: '<string>'})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quoteId' => '<string>',
'offerFingerprint' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Catering-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment"
payload := strings.NewReader("{\n \"quoteId\": \"<string>\",\n \"offerFingerprint\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Catering-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Catering-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"quoteId\": \"<string>\",\n \"offerFingerprint\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Catering-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quoteId\": \"<string>\",\n \"offerFingerprint\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "checkout",
"checkoutUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"dueNow": "<string>",
"remaining": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Catering
Pay the remaining balance of an accepted catering job
POST
/
locations
/
{locationId}
/
catering
/
events
/
{eventId}
/
balance-payment
Pay the remaining balance of an accepted catering job
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Catering-Token: <api-key>' \
--data '
{
"quoteId": "<string>",
"offerFingerprint": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment"
payload = {
"quoteId": "<string>",
"offerFingerprint": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Catering-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Catering-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({quoteId: '<string>', offerFingerprint: '<string>'})
};
fetch('https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quoteId' => '<string>',
'offerFingerprint' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Catering-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment"
payload := strings.NewReader("{\n \"quoteId\": \"<string>\",\n \"offerFingerprint\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Catering-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Catering-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"quoteId\": \"<string>\",\n \"offerFingerprint\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.craveup.com/api/v1/storefront/locations/{locationId}/catering/events/{eventId}/balance-payment")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Catering-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quoteId\": \"<string>\",\n \"offerFingerprint\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "checkout",
"checkoutUrl": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"dueNow": "<string>",
"remaining": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Authorizations
Event and location scoped customer catering capability. Never place in query parameters.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Path Parameters
Required string length:
1 - 128Required string length:
1 - 128Body
application/json
Response
A checkout for the whole remaining balance, priced by the server, or no_balance when nothing is left to pay.
- Option 1
- Option 2
Available options:
checkout Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Pattern:
^-?\d+(?:\.\d+)?$Pattern:
^-?\d+(?:\.\d+)?$